Version: 4.8.4
Updated: Mar 22, 2017
Compatibility: Requires iOS 7.1 or later (Compatible with iPhone, iPad, and iPod touch) or Android 4.0 and up

  • Declined members no longer show at the bottom.
  • Can now easily swap between logged in users via profiles.
  • New Regional view for region admins.